<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is dual licensed
//
// 1.
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, version 3 of the License.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

// 2.
//	If you purchased an openITCOCKPIT Enterprise Edition you can use this file
//	under the terms of the openITCOCKPIT Enterprise Edition license agreement.
//	License agreement and license key will be shipped with the order
//	confirmation.
?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-puzzle-piece"></i> <?php echo __('Snmp Trap Module'); ?>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="OpenstreetmapIndex">
            <i class="fa fa-map"></i> <?php echo __('SnmpttList'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <?php echo __('Index'); ?>
    </li>
</ol>


<massdelete></massdelete>

<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Snmp trap logs'); ?>
                    <span class="fw-300"><i><?php echo __('overview'); ?></i></span>
                </h2>
                <div class="panel-toolbar">
                    <button class="btn btn-xs btn-default mr-1 shadow-0" ng-click="load()">
                        <i class="fas fa-sync"></i> <?php echo __('Refresh'); ?>
                    </button>
                    <button class="btn btn-xs btn-primary shadow-0" ng-click="triggerFilter()">
                        <i class="fas fa-filter"></i> <?php echo __('Filter'); ?>
                    </button>
                </div>
            </div>
            <div class="panel-container show">
                <div class="panel-content">

                    <!-- Start Filter -->
                    <div class="list-filter card margin-bottom-10" ng-show="showFilter">
                        <div class="card-header">
                            <i class="fa fa-filter"></i> <?php echo __('Filter'); ?>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fa fa-filter"></i></span>
                                            </div>
                                            <input type="text" class="form-control form-control-sm"
                                                   placeholder="<?php echo __('Event name'); ?>"
                                                   ng-model="filter.Snmptt.eventname"
                                                   ng-model-options="{debounce: 500}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fa fa-filter"></i></span>
                                            </div>
                                            <input type="text" class="form-control form-control-sm"
                                                   placeholder="<?php echo __('Event ID'); ?>"
                                                   ng-model="filter.Snmptt.eventid"
                                                   ng-model-options="{debounce: 500}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fa fa-filter"></i></span>
                                            </div>
                                            <input type="text" class="form-control form-control-sm"
                                                   placeholder="<?php echo __('Trap OID'); ?>"
                                                   ng-model="filter.Snmptt.trapoid"
                                                   ng-model-options="{debounce: 500}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fa fa-filter"></i></span>
                                            </div>
                                            <input type="text" class="form-control form-control-sm"
                                                   placeholder="<?php echo __('Format line'); ?>"
                                                   ng-model="filter.Snmptt.formatline"
                                                   ng-model-options="{debounce: 500}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fa fa-filter"></i></span>
                                            </div>
                                            <input type="text" class="form-control form-control-sm"
                                                   placeholder="<?php echo __('Host name'); ?>"
                                                   ng-model="filter.Snmptt.hostname"
                                                   ng-model-options="{debounce: 500}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fa fa-filter"></i></span>
                                            </div>
                                            <input type="text" class="form-control form-control-sm"
                                                   placeholder="<?php echo __('Agent IP'); ?>"
                                                   ng-model="filter.Snmptt.agentip"
                                                   ng-model-options="{debounce: 500}">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="float-right">
                                <button type="button" ng-click="resetFilter()"
                                        class="btn btn-xs btn-danger">
                                    <?php echo __('Reset Filter'); ?>
                                </button>
                            </div>
                        </div>
                    </div>
                    <!-- End Filter -->

                    <div class="frame-wrap">
                        <table class="table table-striped m-0 table-bordered table-hover table-sm">
                            <thead>
                            <tr>
                                <th class="no-sort sorting_disabled width-15">
                                    <i class="fa fa-check-square"></i>
                                </th>
                                <th class="no-sort" ng-click="orderBy('Snmptt.severity')">
                                    <i class="fa" ng-class="getSortClass('Snmptt.severity')"></i>
                                    <?php echo __('Severity'); ?>
                                </th>
                                <th class="no-sort" ng-click="orderBy('Snmptt.eventname')">
                                    <i class="fa" ng-class="getSortClass('Snmptt.eventname')"></i>
                                    <?php echo __('Event name'); ?>
                                </th>
                                <th class="no-sort" ng-click="orderBy('Snmptt.hostname')">
                                    <i class="fa" ng-class="getSortClass('Snmptt.hostname')"></i>
                                    <?php echo __('Host name'); ?>
                                </th>
                                <th class="no-sort" ng-click="orderBy('Snmptt.eventid')">
                                    <i class="fa" ng-class="getSortClass('Snmptt.eventid')"></i>
                                    <?php echo __('Event ID'); ?>
                                </th>
                                <th class="no-sort" ng-click="orderBy('Snmptt.trapoid')">
                                    <i class="fa" ng-class="getSortClass('Snmptt.trapoid')"></i>
                                    <?php echo __('Trap OID'); ?>
                                </th>
                                <th class="no-sort" ng-click="orderBy('Snmptt.agentip')">
                                    <i class="fa" ng-class="getSortClass('Snmptt.agentip')"></i>
                                    <?php echo __('Agent IP'); ?>
                                </th>
                                <th class="no-sort" ng-click="orderBy('Snmptt.formatline')">
                                    <i class="fa" ng-class="getSortClass('Snmptt.formatline')"></i>
                                    <?php echo __('Format line'); ?>
                                </th>
                                <th class="no-sort text-center editItemWidth"><i class="fa fa-gear"></i></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr ng-repeat="snmptt in snmptt_entries">
                                <td class="width-5">
                                    <input type="checkbox"
                                           ng-model="massChange[snmptt.Snmptt.id]">
                                </td>

                                <td class="text-center width-90">
                                    <servicestatusicon state="getStateId(snmptt.Snmptt.severity)"></servicestatusicon>
                                </td>

                                <td>
                                    {{ snmptt.Snmptt.eventname }}
                                </td>

                                <td>
                                    {{ snmptt.Snmptt.hostname }}
                                </td>

                                <td>
                                    {{ snmptt.Snmptt.eventid }}
                                </td>

                                <td>
                                    {{ snmptt.Snmptt.trapoid }}
                                </td>

                                <td>
                                    {{ snmptt.Snmptt.agentip }}
                                </td>

                                <td>
                                    {{ snmptt.Snmptt.formatline }}
                                </td>

                                <td class="width-50">
                                    <div class="btn-group btn-group-xs" role="group">
                                        <a href="javascript:void(0);"
                                           class="btn btn-default btn-lower-padding">
                                            <i class="fa fa-cog"></i></a>
                                        <button type="button"
                                                class="btn btn-default dropdown-toggle btn-lower-padding"
                                                data-toggle="dropdown">
                                            <i class="caret"></i>
                                        </button>
                                        <div class="dropdown-menu dropdown-menu-right">
                                            <?php if ($this->Acl->hasPermission('delete', 'snmpttList', 'SnmpTrapModule')): ?>
                                                <a ng-click="confirmDelete(getObjectForDelete(snmptt))"
                                                   class="dropdown-item txt-color-red">
                                                    <i class="fa fa-trash"></i>
                                                    <?php echo __('Delete'); ?>
                                                </a>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            </tbody>
                        </table>

                        <div class="margin-top-10" ng-show="snmptt_entries.length == 0">
                            <div class="text-center text-danger italic">
                                <?php echo __('No entries match the selection'); ?>
                            </div>
                        </div>

                        <div class="row margin-top-10 margin-bottom-10">
                            <div class="col-xs-12 col-md-2 text-muted text-center">
                                <span ng-show="selectedElements > 0">({{selectedElements}})</span>
                            </div>
                            <div class="col-xs-12 col-md-2">
                                <span ng-click="selectAll()" class="pointer">
                                    <i class="fas fa-lg fa-check-square"></i>
                                    <?php echo __('Select all'); ?>
                                </span>
                            </div>
                            <div class="col-xs-12 col-md-2">
                                <span ng-click="undoSelection()" class="pointer">
                                    <i class="fas fa-lg fa-square"></i>
                                    <?php echo __('Undo selection'); ?>
                                </span>
                            </div>
                            <?php if ($this->Acl->hasPermission('delete', 'snmpttList', 'SnmpTrapModule')): ?>
                                <div class="col-xs-12 col-md-2 txt-color-red">
                                    <span ng-click="confirmDelete(getObjectsForDelete())" class="pointer">
                                        <i class="fas fa-trash"></i>
                                        <?php echo __('Delete selected'); ?>
                                    </span>
                                </div>
                            <?php endif; ?>
                        </div>

                        <scroll scroll="scroll" click-action="changepage" ng-if="scroll"></scroll>
                        <paginator paging="paging" click-action="changepage" ng-if="paging"></paginator>
                        <?php echo $this->element('paginator_or_scroll'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
