angular.module('openITCOCKPIT')
    .controller('SnmpttListsIndexController', function($scope, $http, $rootScope, $stateParams, NotyService, SortService, QueryStringService, MassChangeService){

        SortService.setSort(QueryStringService.getStateValue($stateParams, 'sort', 'Snmptt.id'));
        SortService.setDirection(QueryStringService.getStateValue($stateParams, 'direction', 'desc'));

        $scope.currentPage = 1;
        $scope.useScroll = true;
        $scope.snmptt_entries = {};
        $scope.showFilter = false;
        $scope.initialized = false;

        $scope.massChange = {};
        $scope.selectedElements = 0;
        $scope.deleteUrl = '/snmp_trap_module/SnmpttList/delete/';

        /*** Filter Settings ***/
        $scope.defaultFilter = function(){
            $scope.filter = {
                Snmptt: {
                    eventname: '',
                    eventid: '',
                    trapoid: '',
                    hostname: '',
                    agentip: '',
                    formatline: '',
                    severity: '',
                }
            };
        };
        /*** Filter end ***/

        $scope.load = function(){
            var params = {
                'angular': true,
                'scroll': $scope.useScroll,
                'sort': SortService.getSort(),
                'page': $scope.currentPage,
                'direction': SortService.getDirection(),
                'filter[Snmptt.eventname]': $scope.filter.Snmptt.eventname,
                'filter[Snmptt.eventid]': $scope.filter.Snmptt.eventid,
                'filter[Snmptt.trapoid]': $scope.filter.Snmptt.trapoid,
                'filter[Snmptt.hostname]': $scope.filter.Snmptt.hostname,
                'filter[Snmptt.agentip]': $scope.filter.Snmptt.agentip,
                'filter[Snmptt.formatline]': $scope.filter.Snmptt.formatline,
                'filter[Snmptt.severity]': $scope.filter.Snmptt.severity,
            };
            $http.get("/snmp_trap_module/SnmpttList/index.json", {
                params: params
            }).then(function(result){
                $scope.snmptt_entries = result.data.snmptt_entries;
                $scope.paging = result.data.paging;
                $scope.scroll = result.data.scroll;

                $scope.initialized = true;
            });
        };

        $scope.getObjectForDelete = function(snmptt){
            var object = {};
            object[snmptt.Snmptt.id] = snmptt.Snmptt.hostname + ' - ' + snmptt.Snmptt.eventid + ' (' + snmptt.Snmptt.traptime + ')';
            return object;
        };

        $scope.getObjectsForDelete = function(){
            var objects = {};
            var selectedObjects = MassChangeService.getSelected();
            for(var key in $scope.snmptt_entries){
                for(var id in selectedObjects){
                    if(id == $scope.snmptt_entries[key].Snmptt.id){
                        objects[id] = $scope.snmptt_entries[key].Snmptt.hostname + ' - ' + $scope.snmptt_entries[key].Snmptt.eventid + ' (' + $scope.snmptt_entries[key].Snmptt.traptime + ')';
                    }
                }
            }
            return objects;
        };

        $scope.selectAll = function(){
            if($scope.snmptt_entries){
                for(var key in $scope.snmptt_entries){
                    $scope.massChange[$scope.snmptt_entries[key].Snmptt.id] = true;
                }
            }
        };

        $scope.undoSelection = function(){
            MassChangeService.clearSelection();
            $scope.massChange = MassChangeService.getSelected();
            $scope.selectedElements = MassChangeService.getCount();
        };

        $scope.triggerFilter = function(){
            $scope.showFilter = !$scope.showFilter === true;
        };

        $scope.changepage = function(page){
            if(page !== $scope.currentPage){
                $scope.currentPage = page;
                $scope.load();
            }
        };

        $scope.changeMode = function(val){
            $scope.useScroll = val;
            $scope.load();
        };

        $scope.resetFilter = function(){
            $scope.defaultFilter();
        };

        $scope.getStateId = function(severity){
            switch(severity.toLowerCase()){
                case 'warning':
                    return 1;
                case 'critical':
                    return 2;
            }
        };

        $scope.defaultFilter();
        $scope.load();
        SortService.setCallback($scope.load);

        $scope.$watch('filter', function(){
            if($scope.initialized){
                $scope.currentPage = 1;
                $scope.load();
            }
        }, true);

        $scope.$watch('massChange', function(){
            MassChangeService.setSelected($scope.massChange);
            $scope.selectedElements = MassChangeService.getCount();
        }, true);
    });